// an external way to creating logs
import { createRoute, OpenAPIHono, z } from "@hono/zod-openapi";
import { responses } from "../../../globalUtils/routeDefs/responses.js";
import { getAllJobs } from "../utils/processNotifications.js";
import { apiHit } from "../../../globalUtils/apiHits.js";

const app = new OpenAPIHono({ strict: false });

app.openapi(
    createRoute({
        tags: ["server"],
        summary: "Returns current active notifications.",
        method: "get",
        path: "/activenotifications",
        //middleware: authMiddleware,
        responses: responses(),
    }),
    async (c) => {
        apiHit(c, { endpoint: "/activenotifications" });
        const jobs = getAllJobs();
        return c.json({
            success: true,
            message:
                jobs.length === 0
                    ? "There are no active Notifications Currently."
                    : "Current Active notifications",
            data: jobs,
        });
    }
);
export default app;
